/fulfilment-locations/{fulfilmentLocationId}
Fulfilment API · FulfilmentLocationService
GET
https://api.quiver.london/fulfilment/fulfilment-locations/{fulfilmentLocationId}Send your API key in the x-api-key header. See Getting started.
Path parameters
| Name | Type | Description |
|---|---|---|
fulfilmentLocationIdrequired | integer (int32) |
Responses
| Status | Body | Description |
|---|---|---|
200 | fulfilmentFulfilmentLocation | A successful response. |
default | rpcStatus | An unexpected error response. |
Request and response bodies
Field types that name another model link to all schemas.
fulfilmentFulfilmentLocation
| Field | Type | Description |
|---|---|---|
fulfilmentLocationId | integer (int32) | |
createdAt | string (date-time) | |
updatedAt | string (date-time) | |
deletedAt | string (date-time) | |
name | string | |
deliveryEcommerceEnabled | boolean | |
returnEcommerceEnabled | boolean | |
collectionEnabled | boolean | Whether this location may be selected for store collection. A collection rate is returned only when this is enabled and the location has current stock for every item in the quoted basket (v1 does not arrange transfers). |
address | sharedAddress | |
externalLocationId | string | The merchant's external location identifier. Use this value as merchantLocationId when booking a collection for a specific location. |
operatingHours | fulfilmentOperatingHours | |
arrivalInstructions | fulfilmentArrivalInstruction[] | |
contacts | fulfilmentFulfilmentLocationContact[] |
rpcStatus
| Field | Type | Description |
|---|---|---|
code | integer (int32) | |
message | string | |
details | protobufAny[] |
